import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;
import java.util.Iterator;

/**
 * Eine Schrankwand, die manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * @Version April '07
 */
public class Schrankwand extends Moebel
{
  private ArrayList<Schrank> schraenke;
  private int anzahl;

  /**
   * Erzeuge eine neue Schrankwand mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   * Der Konstruktor muss die Zahl der Schrnke bergeben bekommen.
   * Das "breite-Problem" wird durch Vorgabe durch die Schraenke geloest.
   */
    public Schrankwand(int anzahl)
  {
    xPosition = 40;
    yPosition = 80;
    farbe = "blau";
    orientierung = 0;
    istSichtbar = false;
    int schrankbreite = 60;
    this.anzahl = anzahl;
    breite = schrankbreite*anzahl;
    tiefe  = 37;
    schraenke = new ArrayList<Schrank>();
    for (int i=0;i<anzahl;i++){
        schraenke.add(new Schrank(i*schrankbreite, 0, farbe, orientierung, schrankbreite, tiefe));
    }
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath schrankwand = new GeneralPath();
      for (Iterator<Schrank> it= schraenke.iterator();it.hasNext();){
        schrankwand.append(it.next().gibAktuelleFigur(), false);
      }
      
      return  transformiere(schrankwand);
  }
  
}
